\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - Point Set Shape Detection

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
List of all members | Public Attributes
CGAL::Shape_detection_3::Efficient_RANSAC< Traits >::Parameters Struct Reference

`#include <CGAL/Shape_detection_3/Efficient_RANSAC.h>`

## Definition

Parameters for the shape detection algorithm.

They are explained in detail in Section Parameters of the User Manual.

## Public Attributes
FT | probability
| Probability to control search endurance. Default value: 5%.
std::size_t | min_points
| Minimum number of points of a shape. Default value: 1% of total number of input points.
FT | epsilon
| Maximum tolerance Euclidian distance from a point and a shape. Default value: 1% of bounding box diagonal.
FT | normal_threshold
| Maximum tolerance normal deviation from a point's normal to the normal on shape at projected point. Default value: 0.9 (around 25 degrees).
FT | cluster_epsilon
| Maximum distance between points to be considered connected. Default value: 1% of bounding box diagonal.